umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
statewidget.h File Reference
`#include "umlwidget.h"`
`#include <QPainter>`
`#include <QStringList>`

Go to the source code of this file.

## Classes
class | StateWidget
| A graphical version of a UML State. More...

## Macros
#define | STATE_MARGIN 5
#define | STATE_WIDTH 30
#define | STATE_HEIGHT 10

## Macro Definition Documentation

## ◆ STATE_HEIGHT

#define STATE_HEIGHT 10

## ◆ STATE_MARGIN

#define STATE_MARGIN 5

## ◆ STATE_WIDTH

#define STATE_WIDTH 30